﻿@{
    ViewBag.Title = "View All InPatients";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Default Modal</h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">
                        <div class="form-group">
                            <input type="text" class="form-control" id="InPa" style="display:none;">
                        </div>

                        <div class="form-group">
                            <label for="inputPatientNo" class="col-sm-2 control-label">Select Patient No</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="inputPatientNo"></select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="InputAdvancePayment" class="col-sm-2 control-label">Advance Payment</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputAdvancePayment">
                                    <option>500</option>
                                    <option>1000</option>
                                    <option>1500</option>
                                    <option>2000</option>
                                    <option>2500</option>
                                    <option>3000</option>
                                    <option>3500</option>
                                    <option>4000</option>
                                    <option>4500</option>
                                    <option>5000</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="InputRoomID" class="col-sm-2 control-label">Select Room No</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputRoomID"></select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="InputLabID" class="col-sm-2 control-label">Select Lab Category</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputLabID"></select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="InputMedID" class="col-sm-2 control-label">Select Medicine's ID</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputMedID"></select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="InputNurseID" class="col-sm-2 control-label">Select Nurse ID</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputNurseID"></select>
                            </div>
                        </div>

                    </div>

                </form>




            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>



<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Available InPatient's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of All InPatients</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                        <tr>
                            <th>Patient Name</th>
                            <th>Advance Payment</th>
                            <th>Room Type</th>
                            <th>Lab Category</th>
                            <th>Medicine </th>
                            <th>Nurse Name</th>
                            <th>Edit</th>
                            <th>Delete</th>
                        </tr>
                    <tbody id="tbl"></tbody>
                  
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllInPatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].Pid + '><td>' + list[i].pname + '</td><td>' + list[i].advancepayment + '</td><td>' + list[i].type + '</td><td>' + list[i].category + '</td><td>' + list[i].MediName + '</td><td>' + list[i].name + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].Pid + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].Pid + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Patient = data.Patient;
                    var Room = data.Room;
                    var Lab = data.Lab;
                    var Medicine = data.Medicine;
                    var Nurse = data.Nurse;

                    for (i = 0; i < Patient.length; i++) {
                        $('#inputPatientNo').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + ' >' + Patient[i].pname + '  </option>');
                    }

                    for (i = 0; i < Room.length; i++) {
                        $('#InputRoomID').append('<option id=' + Room[i].bedid + ' value=' + Room[i].type + ' >' + Room[i].type+ '  </option>');

                    }

                    for (i = 0; i < Lab.length; i++) {
                        $('#InputLabID').append('<option id=' + Lab[i].labno + ' value=' + Lab[i].category + ' >' + Lab[i].category + '  </option>');

                    }

                    for (i = 0; i < Medicine.length; i++) {
                        $('#InputMedID').append('<option id=' + Medicine[i].medid + ' value=' + Medicine[i].name+ ' >' + Medicine[i].name+ '  </option>');

                    }

                    for (i = 0; i < Nurse.length; i++) {
                        $('#InputNurseID').append('<option id=' + Nurse[i].nurseid + ' value=' + Nurse[i].name+ ' >' + Nurse[i].name+ '  </option>');

                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
<!--for the Fill modal-->
<script>
    function getUpdate(id) {
        //alert(id);
        debugger;
        //$('#'+id).each(function () {

        //    // do stuff for each td in here...
        //    debugger;
        //    var hospital = $(this).find("td").eq(1).html();
        //    var add = $(this).find("td").eq(2).html();
        //    //$('#inputHospName').val(hospital);
        //    //$('#inputHospAddres').val(add);
        //    //$('#cstNoId').val(id);


        //    $("#modal-default").modal("show");

        //})
        $("#InPa").val(id);

        $("#modal-default").modal("show");
      


    }





</script>

<script>
    function ChangeValues(){
        $("#modal-default").modal("hide");
        debugger;
         debugger;
        var PatientNo = $('#inputPatientNo :selected').attr('id');
        var AdvancePayment = $('#InputAdvancePayment :selected').val();
        var RoomID = $('#InputRoomID :selected').attr('id');
        var LabID = $('#InputLabID :selected').attr('id');
        var MedID = $('#InputMedID :selected').attr('id');
        var NurseID = $('#InputNurseID :selected').attr('id');
        var Id = $('#InPa').val();
        $.ajax({
            url: '@Url.Action("EditInPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ PatientNo: PatientNo, AdvancePayment: AdvancePayment, RoomID: RoomID, LabID: LabID, MedID: MedID, NurseID: NurseID,Id:Id }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                    location.relaod();
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });
    }

</script>



<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteInPatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
